Issue 29040

Summary: Re-organize color palettes by dragging to re-arrange.
Product: Draw Reporter: fjtc <jun-chino>
Component: uiAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: ace_dent, issues
Version: OOo 1.1.1Keywords: oooqa
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---
Issue Depends on:    
Issue Blocks: 105642    

Description fjtc 2004-05-11 12:53:42 UTC
The color editor interface should provide means to allow users to organize color
palettes at will.

Proposed use case:
   - The John Doe wants to create a new color named "Blue 9".
   - He ajusts the paraments and create the new color.
   - The newly created color will be appended to the end of the color palette.
   - Now, he wants to put his new color next to the "Blue n" group.
   - He moves the new color to the desired position by:
      - grabing the color to the new position using the mouse;
      - pressing a few buttons until the color reaches the desired position.
   - John Doe is happy with the result.

Another useful enhancement would be an easy-to-use color profile manager (it is
possible to do that now by saving colors into a palette file and load it when
required).
Comment 1 wolframgarten 2004-05-11 13:27:05 UTC
Reassigned to Bettina.
Comment 2 ace_dent 2008-05-16 02:12:42 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently 'Unconfirmed' pending review, but has not been
updated within the last 3 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 3 fjtc 2008-05-16 07:54:17 UTC
The idea behind this feature is to allow users to reorder the color table
WYSIWYG, by grabbing or moving colors at will. Of course this idea could be
extended to gradients, hatchings and bitmaps as well.

Even without this feature, it is possible to reorder the entries by doing the
following steps:

- Export the desired list (colors, gradients, hatchings and/or bitmaps) into a XML;
- Edit this xml with an external tool
- Import it again to get the new order

This procedure is clumsy and a bit difficult for average users.

As long as I know, 2.4 does not have this feature. I did not tested version 3.0
yet but the changelog has no entry for this enhancement. I will test 3.0beta and
update this entry as soon as I can.
Comment 4 ace_dent 2009-10-06 11:34:14 UTC
To manage the many suggestions for enhancing the color palette, I have created a
meta-issue here:
Issue 105642 - Re-design and UI improvements for color palettes (meta-issue)

The purpose of the new issue is for management only, it does not duplicate
specific design requests (that we wish to capture).

Changed summary to reflect design change.

Many thanks,
Andrew
Comment 5 bettina.haberer 2010-05-21 15:14:27 UTC
To grep the issues easier via "requirements" I put the issues currently lying on
my owner to the owner "requirements".